#### CHECKALL

#### Synopsis

    HELP:   Complete verification of a FLAMFILE (no output)
    TYPE:   SWITCH
    SYNTAX: CHECKALL/CHECKA

#### Description

The parameter CHECKALL supports complete testing of a FLAMFILE including decompression and possibly decryption, but without file output (z/OS only).

CHECKALL is a short form for DECOMPRESS, FLAMOUT=*DUMMY, SHOW=ALL.

If the FLAMFILE has been encrypted, the key must be specified for decryption. See also parameters PASSWORD, CRYPTOKEY/cryptkey, PAXWORD, PAASCII or PAEBCDIC.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `CHECKALL`
  - `CHECKA`

Values

- z/OS
  - No values

Default

- z/OS
  - none

Valid for

- decompression